RagTime5Graph Class Reference

the main class to read the graphic part of RagTime 56 file More...

`#include <RagTime5Graph.hxx>`

## Public Member Functions

| RagTime5Graph (RagTime5Document &doc)
| constructor
virtual | ~RagTime5Graph ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages

## Static Public Member Functions

static std::string | printType (unsigned long fileType)
| debug: print a file type

## Protected Member Functions

void | flushExtra (bool onlyCheck=false)
| sends the data which have not yet been sent to the listener
bool | sendTextZone (MWAWListenerPtr listener, int zId, int pId, double totalWidth=-1)
| ask to send a text zone
bool | sendButtonZoneAsText (MWAWListenerPtr listener, int zId)
| ask to send the button content as text
bool | readPictureContainer (RagTime5Zone &zone)
| try to read a picture data zone
bool | readPictureData (RagTime5Zone &zone)
| try to read a picture data zone: ie. the zone which contains jpeg, tiff, ...
bool | readPictureData (RagTime5Zone &zone, librevenge::RVNGBinaryData &data, std::string &type)
| try to read a picture data zone: ie. the zone which contains jpeg, tiff and then returns the picture content...
bool | readPictureList (RagTime5Zone &zone)
| try to read a picture list
bool | readPictureRep (RagTime5Zone &zone)
| try to read a picture rep
bool | readPictureMatch (RagTime5Zone &zone, bool color)
| try to read a picture match zone
bool | readGraphicTypes (RagTime5ClusterManager::Link const &link)
| try to read a main graphic types
bool | readColorPatternZone (RagTime5ClusterManager::Cluster &cluster)
| try to read a zone of color and pattern
std::shared_ptr< RagTime5ClusterManager::Cluster > | readButtonCluster (RagTime5Zone &zone, int zoneType)
| try to read a button zone
std::shared_ptr< RagTime5ClusterManager::Cluster > | readGraphicCluster (RagTime5Zone &zone, int zoneType)
| try to read a graphic zone
bool | readGraphicUsed (int typeId)
| try to read the id zone => used
bool | readGraphicShapes (RagTime5GraphInternal::ClusterGraphic &cluster)
| try to read the graphic shapes of a cluster
bool | readGraphicShape (RagTime5GraphInternal::ClusterGraphic &cluster, RagTime5Zone &dataZone, long endPos, int n, librevenge::RVNGString const &dataName)
| try to read a graphic
bool | readGraphicTransformations (RagTime5ClusterManager::Link const &link)
| try to read a graphic transformations zone
std::shared_ptr< RagTime5ClusterManager::Cluster > | readPictureCluster (RagTime5Zone &zone, int zoneType)
| try to read a picture zone
void | checkGraphicCluster (RagTime5GraphInternal::ClusterGraphic &cluster)
| check the graphic cluster data: check if there is no loop, ...
bool | send (int zoneId, MWAWListenerPtr listener, MWAWPosition const &pos)
| try to send the cluster zone
bool | send (RagTime5GraphInternal::ClusterButton &cluster, MWAWListenerPtr listener, MWAWPosition const &pos, MWAWGraphicStyle const &style)
| try to send a button of cluster zone
bool | send (RagTime5GraphInternal::ClusterGraphic &cluster, MWAWListenerPtr listener, MWAWPosition const &pos)
| try to send the shapes of cluster zone
bool | send (RagTime5GraphInternal::Shape const &shape, RagTime5GraphInternal::ClusterGraphic const &cluster, MWAWListenerPtr listener, MWAWPosition const &pos)
| try to send a shape of cluster zone
bool | send (RagTime5GraphInternal::ClusterPicture &cluster, MWAWListenerPtr listener, MWAWPosition const &pos)
| try to send the picture of cluster zone

## Protected Attributes

RagTime5Document & | m_document
| the parser
std::shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager
std::shared_ptr< RagTime5StyleManager > | m_styleManager
| the style manager
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< RagTime5GraphInternal::State > | m_state
| the state

## Private Member Functions

| RagTime5Graph (RagTime5Graph const &orig)
RagTime5Graph & | operator= (RagTime5Graph const &orig)

## Friends

class | RagTime5GraphInternal::SubDocument
class | RagTime5Document

## Detailed Description

the main class to read the graphic part of RagTime 56 file

## Constructor & Destructor Documentation

## RagTime5Graph() [1/2]

RagTime5Graph::RagTime5Graph | ( | RagTime5Document & | doc | ) |

explicit

constructor

Referenced by operator=(), and RagTime5Graph().

## ~RagTime5Graph()

RagTime5Graph::~RagTime5Graph | ( |  | ) |

virtual

destructor

## RagTime5Graph() [2/2]

RagTime5Graph::RagTime5Graph | ( | RagTime5Graph const & | orig | ) |

private

## Member Function Documentation

## checkGraphicCluster()

void RagTime5Graph::checkGraphicCluster | ( | RagTime5GraphInternal::ClusterGraphic & | cluster | ) |

protected

check the graphic cluster data: check if there is no loop, ...

Referenced by readGraphicCluster().

## flushExtra()

void RagTime5Graph::flushExtra | ( | bool | onlyCheck = false | ) |

protected

sends the data which have not yet been sent to the listener

## numPages()

int RagTime5Graph::numPages | ( |  | ) | const

returns the number of pages

## operator=()

RagTime5Graph & RagTime5Graph::operator= | ( | RagTime5Graph const & | orig | ) |

private

## printType()

std::string RagTime5Graph::printType | ( | unsigned long | fileType | ) |

inline static

debug: print a file type

Referenced by RagTime5GraphInternal::GraphicCParser::parseDataZone(), RagTime5GraphInternal::PictCParser::parseDataZone(), RagTime5GraphInternal::GraphicCParser::parseHeaderZone(), RagTime5GraphInternal::PictCParser::parseHeaderZone(), readGraphicShape(), and readGraphicTypes().

## readButtonCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5Graph::readButtonCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType )

protected

try to read a button zone

## readColorPatternZone()

bool RagTime5Graph::readColorPatternZone | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

protected

try to read a zone of color and pattern

## readGraphicCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5Graph::readGraphicCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType )

protected

try to read a graphic zone

## readGraphicShape()

bool RagTime5Graph::readGraphicShape | ( | RagTime5GraphInternal::ClusterGraphic & | cluster,
|  | RagTime5Zone & | dataZone,
|  | long | endPos,
|  | int | n,
|  | librevenge::RVNGString const & | dataName )

protected

try to read a graphic

Referenced by readGraphicShapes().

## readGraphicShapes()

bool RagTime5Graph::readGraphicShapes | ( | RagTime5GraphInternal::ClusterGraphic & | cluster | ) |

protected

try to read the graphic shapes of a cluster

Referenced by readGraphicCluster().

## readGraphicTransformations()

bool RagTime5Graph::readGraphicTransformations | ( | RagTime5ClusterManager::Link const & | link | ) |

protected

try to read a graphic transformations zone

Referenced by readGraphicCluster().

## readGraphicTypes()

bool RagTime5Graph::readGraphicTypes | ( | RagTime5ClusterManager::Link const & | link | ) |

protected

try to read a main graphic types

## readGraphicUsed()

bool RagTime5Graph::readGraphicUsed | ( | int | typeId | ) |

protected

try to read the id zone => used

Referenced by readGraphicCluster().

## readPictureCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5Graph::readPictureCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType )

protected

try to read a picture zone

## readPictureContainer()

bool RagTime5Graph::readPictureContainer | ( | RagTime5Zone & | zone | ) |

protected

try to read a picture data zone

Referenced by readPictureCluster().

## readPictureData() [1/2]

bool RagTime5Graph::readPictureData | ( | RagTime5Zone & | zone | ) |

protected

try to read a picture data zone: ie. the zone which contains jpeg, tiff, ...

Referenced by readPictureContainer(), readPictureData(), and readPictureRep().

## readPictureData() [2/2]

bool RagTime5Graph::readPictureData | ( | RagTime5Zone & | zone,
|  | librevenge::RVNGBinaryData & | data,
|  | std::string & | type )

protected

try to read a picture data zone: ie. the zone which contains jpeg, tiff and then returns the picture content...

## readPictureList()

bool RagTime5Graph::readPictureList | ( | RagTime5Zone & | zone | ) |

protected

try to read a picture list

Referenced by readPictureContainer().

## readPictureMatch()

bool RagTime5Graph::readPictureMatch | ( | RagTime5Zone & | zone,
|  | bool | color )

protected

try to read a picture match zone

Referenced by readPictureRep().

## readPictureRep()

bool RagTime5Graph::readPictureRep | ( | RagTime5Zone & | zone | ) |

protected

try to read a picture rep

Referenced by readPictureList().

## send() [1/5]

bool RagTime5Graph::send | ( | int | zoneId,
|  | MWAWListenerPtr | listener,
|  | MWAWPosition const & | pos )

protected

try to send the cluster zone

Referenced by flushExtra(), send(), send(), and send().

## send() [2/5]

bool RagTime5Graph::send | ( | RagTime5GraphInternal::ClusterButton & | cluster,
|  | MWAWListenerPtr | listener,
|  | MWAWPosition const & | pos,
|  | MWAWGraphicStyle const & | style )

protected

try to send a button of cluster zone

## send() [3/5]

bool RagTime5Graph::send | ( | RagTime5GraphInternal::ClusterGraphic & | cluster,
|  | MWAWListenerPtr | listener,
|  | MWAWPosition const & | pos )

protected

try to send the shapes of cluster zone

## send() [4/5]

bool RagTime5Graph::send | ( | RagTime5GraphInternal::ClusterPicture & | cluster,
|  | MWAWListenerPtr | listener,
|  | MWAWPosition const & | pos )

protected

try to send the picture of cluster zone

## send() [5/5]

bool RagTime5Graph::send | ( | RagTime5GraphInternal::Shape const & | shape,
|  | RagTime5GraphInternal::ClusterGraphic const & | cluster,
|  | MWAWListenerPtr | listener,
|  | MWAWPosition const & | pos )

protected

try to send a shape of cluster zone

## sendButtonZoneAsText()

bool RagTime5Graph::sendButtonZoneAsText | ( | MWAWListenerPtr | listener,
|  | int | zId )

protected

ask to send the button content as text

## sendTextZone()

bool RagTime5Graph::sendTextZone | ( | MWAWListenerPtr | listener,
|  | int | zId,
|  | int | pId,
|  | double | totalWidth = -1 )

protected

ask to send a text zone

## version()

int RagTime5Graph::version | ( |  | ) | const

returns the file version

## Friends And Related Symbol Documentation

## RagTime5Document

friend class RagTime5Document

friend

Referenced by RagTime5Document, and RagTime5Graph().

## RagTime5GraphInternal::SubDocument

friend class RagTime5GraphInternal::SubDocument

friend

## Member Data Documentation

## m_document

RagTime5Document& RagTime5Graph::m_document

protected

the parser

Referenced by RagTime5Graph(), readButtonCluster(), readColorPatternZone(), readGraphicCluster(), readGraphicShapes(), readGraphicTransformations(), readGraphicTypes(), readGraphicUsed(), readPictureCluster(), readPictureContainer(), readPictureData(), readPictureList(), readPictureMatch(), send(), and sendTextZone().

## m_parserState

MWAWParserStatePtr RagTime5Graph::m_parserState

protected

the parser state

Referenced by flushExtra(), RagTime5Graph(), send(), send(), send(), send(), sendButtonZoneAsText(), and version().

## m_state

std::shared_ptr<RagTime5GraphInternal::State> RagTime5Graph::m_state

protected

the state

Referenced by flushExtra(), RagTime5Graph(), readButtonCluster(), readGraphicCluster(), readGraphicShape(), readGraphicTypes(), readPictureCluster(), readPictureContainer(), readPictureData(), readPictureRep(), send(), send(), send(), and sendButtonZoneAsText().

## m_structManager

std::shared_ptr<RagTime5StructManager> RagTime5Graph::m_structManager

protected

the structure manager

Referenced by RagTime5Graph().

## m_styleManager

std::shared_ptr<RagTime5StyleManager> RagTime5Graph::m_styleManager

protected

the style manager

Referenced by RagTime5Graph(), and send().

The documentation for this class was generated from the following files:

- RagTime5Graph.hxx
- RagTime5Graph.cxx